Get status of a sca run
cURL
curl --request GET \ --url https://{hostname}.gable.ai/v0/sca/status/{id} \ --header 'X-API-KEY: <api-key>'
{ "status": "pending", "message": "<string>", "asset_registration_outcomes": [ { "data_asset_resource_name": { "source_type": "postgres", "data_source": "<string>", "path": "<string>" }, "error": "<string>" } ] }
UUID of the sca job
the status and information about the sca run job
status of the sca job
pending
uploaded
processing
success
error
message associated with the status, if any
Show child attributes
The type of the source data asset, indicating its source or format (e.g., postgres, protobuf).
postgres
mysql
mssql
json_schema
avro
protobuf
python
pyspark
typescript
java
s3
dataframe
kotlin
swift
php
golang
Error message if registration of this asset failed